Aurion Docs
Api

Get Active Alerts

Get active alerts for dashboard. Story 4.2 AC6: Active alerts exposed via API endpoint. Args: severity: Optional filter by severity level Returns: ActiveAlertsResponse with active alerts

GET
/api/v1/monitoring/alerts

Get active alerts for dashboard.

Story 4.2 AC6: Active alerts exposed via API endpoint.

Args: severity: Optional filter by severity level

Returns: ActiveAlertsResponse with active alerts

AuthorizationBearer <token>

In: header

Query Parameters

severity?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/monitoring/alerts"
{
  "alerts": [
    {
      "alert_id": "string",
      "correlation_id": "string",
      "firing_count": 1,
      "message": "string",
      "service": "string",
      "severity": "critical",
      "timestamp": "string",
      "title": "string"
    }
  ],
  "critical_count": 0,
  "timestamp": "string",
  "total_count": 0,
  "warning_count": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}